Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

InteractiveLoginToken.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\MVC\Symfony\Security;
8
9 use Symfony\Component\Security\Core\Authentication\Token\UsernamePasswordToken;
10
15 class InteractiveLoginToken extends UsernamePasswordToken
16 {
18 private $originalTokenType;
19
20 public function __construct(UserInterface $user, $originalTokenType, $credentials, $providerKey, array $roles = [])
21 {
22 parent::__construct($user, $credentials, $providerKey, $roles);
23 $this->originalTokenType = $originalTokenType;
24 }
25
29 public function getOriginalTokenType()
30 {
31 return $this->originalTokenType;
32 }
33
34 public function serialize()
35 {
36 return serialize([$this->originalTokenType, parent::serialize()]);
37 }
38
39 public function unserialize($serialized)
40 {
41 list($this->originalTokenType, $parentStr) = unserialize($serialized);
42 parent::unserialize($parentStr);
43 }
44 }
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken
This token is used when a user has been matched by a foreign user provider.
Definition: InteractiveLoginToken.php:16
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\getOriginalTokenType
getOriginalTokenType()
Definition: InteractiveLoginToken.php:29
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\__construct
__construct(UserInterface $user, $originalTokenType, $credentials, $providerKey, array $roles=[])
Definition: InteractiveLoginToken.php:20
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\serialize
serialize()
Definition: InteractiveLoginToken.php:34
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\$originalTokenType
$originalTokenType
Definition: InteractiveLoginToken.php:18
eZ\Publish\Core\MVC\Symfony\Security\InteractiveLoginToken\unserialize
unserialize($serialized)
Definition: InteractiveLoginToken.php:39
eZ\Publish\Core\MVC\Symfony\Security\UserInterface
Interface for Repository based users.
Definition: UserInterface.php:16
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.